# Current info

```shell
➜  ~ kubectl get -n kube-system pod calico-kube-controllers-6d88486588-ghxg9 -oyaml | grep image | grep calico
    image: docker.io/calico/kube-controllers:v3.27.0
    image: docker.io/calico/kube-controllers:v3.27.0
```

# Supported versions

3.29 is supported until 1.29

https://docs.tigera.io/calico/latest/getting-started/kubernetes/requirements#supported-versions

# Docs

https://docs.tigera.io/calico/latest/operations/upgrading/kubernetes-upgrade#upgrading-an-installation-that-uses-manifests-and-the-kubernetes-api-datastore

## 3.28

```shell
cd /tmp
curl https://raw.githubusercontent.com/projectcalico/calico/v3.28.0/manifests/calico.yaml -o upgrade.yaml && kubectl apply -f upgrade.yaml 
```

## 3.29

```shell
cd /tmp
curl https://raw.githubusercontent.com/projectcalico/calico/v3.29.0/manifests/calico.yaml -o upgrade.yaml && kubectl apply -f upgrade.yaml 
```

## 3.29.2

```shell
cd /tmp
curl https://raw.githubusercontent.com/projectcalico/calico/v3.29.2/manifests/calico.yaml -o upgrade.yaml && kubectl apply -f upgrade.yaml 
```
